## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 28;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-grabbit
Version:        0.2.6
Release:        %autorelease
Summary:        Get grabby with file trees

# The entire source is MIT, except:
# - The bundled grabbit/external/inflect.py is GPL-3.0-or-later, but we remove
#   it in %%prep.
# - The bundled versioneer.py (which is not packaged), and the _version.py it
#   generates (which is packaged) are CC0-1.0, which is not-allowed for code in
#   Fedora, but this case is covered by the following exception
#   (https://gitlab.com/fedora/legal/fedora-license-data/-/issues/91#note_1151947383):
#
#     Existing uses of CC0-1.0 on code files in Fedora packages prior to
#     2022-08-01, and subsequent upstream versions of those files in those
#     packages, continue to be allowed. We encourage Fedora package maintainers
#     to ask upstreams to relicense such files.
#   However, we patch the source to update Versioneer to version 0.29, which is
#   Unlicense (along with the _version.py it generates).
License:        MIT AND Unlicense
URL:            https://github.com/grabbles/grabbit
Source:         %{url}/archive/%{version}/grabbit-%{version}.tar.gz

# Update versioneer from 0.18 to 0.21
# Fixes Python 3.11 compatiblity (RHBZ#2026767)
# https://github.com/grabbles/grabbit/pull/93
Patch:          %{url}/pull/93.patch
# Update versioneer to 0.29
# https://github.com/grabbles/grabbit/pull/94
Patch:          %{url}/pull/94.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
Grabbit is a lightweight Python package for simple queries over filenames
within a project. It is geared towards projects or applications with highly
structured filenames that allow useful queries to be performed without having
to inspect the file metadata or contents.}

%description %{_description}


%package -n python3-grabbit
Summary:        %{summary}

%description -n python3-grabbit %{_description}


%prep
%autosetup -n grabbit-%{version} -p1

# Unbundle inflect and six
for bundled in 'inflect' 'six'
do
  cat > "grabbit/external/${bundled}.py" <<EOF
# Use an external copy of ${bundled} to imitate a bundled one.
from ${bundled} import *
EOF
  sed -r -i "s/(install_requires=\[)/\1'${bundled}', /" setup.py
done


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l grabbit


%check
%tox


%files -n python3-grabbit -f %{pyproject_files}
%doc README.md
%doc examples/


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.6-26
- Update Versioneer to 0.29; accordingly, update CC0-1.0 license term to
  Unlicense

* Wed Jan 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.6-25
- Update License with CC0-1.0 term for Versioneer-generated _version.py

* Wed Jan 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.6-24
- Assert that the .dist-info directory contains a license file
- Don’t package a duplicate license file

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 0.2.6-19
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.2.6-16
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 22 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.6-12
- Switch to pyproject-rpm-macros
- Clean up obsolete cruft, like Python 2 support
- Unbundle inflect and six

* Wed Dec 22 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.6-11
- Update versioneer (fix RHBZ#2026767)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.2.6-9
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.2.6-6
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.2.6-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.2.6-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 08 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.2.6-1
- Update to new pstream release

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Nov 07 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.2.5-1
- Update to latest release
- Use conditional to use common spec for all releases
- Include LICENSE

* Thu Nov 01 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-5
- Subpackage python2-grabbit has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Thu Jul 19 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.2.0-4
- use py.test

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 02 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-2
- Rebuilt for Python 3.7

* Thu Jun 28 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.2.0-1
- Update to 0.2.0
- Update as per review comments

* Mon Jan 15 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.0-1
- Initial build

## END: Generated by rpmautospec
